# ik_IAudioRecorder.h File Reference

`#include "ik_IRefCounted.h"`
`#include "ik_ISoundSource.h"`

Go to the source code of this file.

## Classes
class | irrklang::IAudioRecorder
| Interface to an audio recorder. Create it using the createIrrKlangAudioRecorder() function. More...
class | irrklang::ICapturedAudioDataReceiver
| Interface to be implemented by the user if access to the recorded audio data is needed. More...
## Namespaces
namespace | irrklang

| Everything in the irrKlang Sound Engine can be found in this namespace.

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Defines

| The irrKlang Engine Documentation © 2003-2018 by Nikolaus Gebhardt. Generated by Doxygen (1.6.1)